"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const api = require("../api");
const Program_1 = require("../Program");
exports.get = (req, res) => {
    let programs;
    if (Object.keys(req.query).length !== 0) {
        programs = Program_1.default.findByQuery({
            data: req.query
        });
    }
    else {
        programs = Program_1.default.all();
    }
    api.responseJSON(res, programs.map(program => program.data));
};
exports.get.apiDoc = {
    tags: ["programs"],
    operationId: "getPrograms",
    parameters: [
        {
            in: "query",
            name: "networkId",
            type: "integer",
            required: false
        },
        {
            in: "query",
            name: "serviceId",
            type: "integer",
            required: false
        },
        {
            in: "query",
            name: "eventId",
            type: "integer",
            required: false
        }
    ],
    responses: {
        200: {
            description: "OK",
            schema: {
                type: "array",
                items: {
                    $ref: "#/definitions/Program"
                }
            }
        },
        default: {
            description: "Unexpected Error",
            schema: {
                $ref: "#/definitions/Error"
            }
        }
    }
};

//# sourceMappingURL=programs.js.map
