"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const api = require("../../api");
const Service_1 = require("../../Service");
exports.parameters = [
    {
        in: "path",
        name: "id",
        type: "integer",
        maximum: 6553565535,
        required: true
    }
];
exports.get = (req, res) => {
    const service = Service_1.default.get(req.params.id);
    if (service === null || service === undefined) {
        api.responseError(res, 404);
        return;
    }
    const ret = service.export();
    ret.hasLogoData = service.hasLogoData;
    res.json(ret);
};
exports.get.apiDoc = {
    tags: ["services"],
    operationId: "getService",
    responses: {
        200: {
            description: "OK",
            schema: {
                $ref: "#/definitions/Service"
            }
        },
        404: {
            description: "Not Found",
            schema: {
                $ref: "#/definitions/Error"
            }
        },
        default: {
            description: "Unexpected Error",
            schema: {
                $ref: "#/definitions/Error"
            }
        }
    }
};

//# sourceMappingURL={id}.js.map
